package com.example.pepdemo

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import androidx.appcompat.app.AppCompatActivity
import com.pep.core.foxitpep.PepApp
import com.pep.core.foxitpep.PepApp.OnLoginCallBackListener
import com.pep.core.uibase.PEPToast


class MainActivity : AppCompatActivity() {

    private lateinit var btnSdk: Button
    private lateinit var btnApi: Button
    private lateinit var etName: EditText
    private lateinit var etPassword: EditText
    private lateinit var btnLogin: Button

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        etName = findViewById(R.id.et_name)
        etPassword = findViewById(R.id.et_password)
        btnLogin = findViewById(R.id.btn_login)
        btnLogin.setOnClickListener {

            /**
             * TODO code和userId通过后台获取
             */

            PepApp.netAccessTokenLogin(code,userId, false, object : OnLoginCallBackListener {
            override fun onSucess() {
                PEPToast.show(this@MainActivity, "成功")

            }

            override fun onError() {
                PEPToast.show(this@MainActivity, "失败")
            }
        })

        }

        btnSdk = findViewById(R.id.btn_sdk)
        btnApi = findViewById(R.id.btn_api)
        btnSdk.setOnClickListener {
            var intent = Intent(this@MainActivity, BookActivity::class.java)
            this@MainActivity.startActivity(intent)
        }
        btnApi.setOnClickListener {
            var intent = Intent(this@MainActivity, HomeActivity::class.java)
            this@MainActivity.startActivity(intent)
        }
    }
}
